#!/bin/sh

BASEDIR="$(dirname $0)"
DEVICE="$1"
MOUNTPOINT="$2"
PASSWORD="$3"
KEYFILE="$4"

if [ -r "$BASEDIR/truecrypt_config.cfg" ]
then
	. "$BASEDIR/truecrypt_config.cfg"
else
	echo "truecrypt_config.cfg not found" >&2
	exit 1
fi

if [ -z "$KEYFILE" ]
then
	message="$($tc_cmd -c --non-interactive --quick --filesystem=none --encryption=AES --hash=RIPEMD-160 -p "$PASSWORD" "$DEVICE")"
	result="$?"
else
	message="$($tc_cmd -c --non-interactive --quick --filesystem=none --encryption=AES --hash=RIPEMD-160 -p "$PASSWORD" -k "$KEYFILE" "$DEVICE")"
	result="$?"
fi
	
if [ "$result" != "0" ]
then
	exit 1
fi



if [ -z "$KEYFILE" ]
then
	message="$message\n$($tc_cmd --non-interactive --filesystem=none -p "$PASSWORD" "$DEVICE")"
	result="$?"
else
	message="$message\n$($tc_cmd --non-interactive --filesystem=none -p "$PASSWORD" -k "$KEYFILE" "$DEVICE")"
	result="$?"
fi
	
if [ "$result" != "0" ]
then
	exit 1
fi





TC_DEVICE=$(truecrypt -l | awk '{print $3}')

message="$message\n$(mkfs.ntfs --quick "$TC_DEVICE")"
result="$?"

if [ "$result" != "0" ]
then
	exit 1
fi

mount "$TC_DEVICE" "$MOUNTPOINT" 

echo "$message"
exit 0